Bug 853417 (CVE-2012-4378)

Summary: CVE-2012-4378 mediawiki: Multiple DOM-based XSS flaws due improper filtering of uselang parameter
Product: [Other] Security Response Reporter: Jan Lieskovsky <jlieskov>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED ERRATA QA Contact:
Severity: medium Docs Contact:
Priority: medium    
Version: unspecifiedCC: axel.thimm, extras-orphan
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: mediawiki 1.19.2, mediawiki 1.18.5 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2021-10-19 21:56:25 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Embargoed:
Bug Depends On: 853446    
Bug Blocks:    

Description Jan Lieskovsky 2012-08-31 13:08:46 UTC
Multiple DOM-based cross-site scripting (XSS) flaws were found in the way MediaWiki, a wiki engine, performed filtering of the uselang parameter. When JavaScript gadgets were used, a remote attacker could provide a specially-crafted URL that, when visited would lead to arbitrary HTML or web script execution.


References:
[1] http://www.gossamer-threads.com/lists/wiki/mediawiki/295767

Upstream bug:
[2] https://bugzilla.wikimedia.org/show_bug.cgi?id=37587

Relevant upstream patch:
[3] https://gerrit.wikimedia.org/r/#/c/13336/

Comment 1 Jan Lieskovsky 2012-08-31 13:31:42 UTC
This issue affects the versions of the mediawiki package, as shipped with Fedora release of 16 and 17. Please schedule an update.

--

This issue did NOT affect the version of the mediawiki package, as shipped with Fedora EPEL 5.

Comment 2 Jan Lieskovsky 2012-08-31 14:37:15 UTC
CVE request:
http://www.openwall.com/lists/oss-security/2012/08/31/6

Comment 3 Jan Lieskovsky 2012-08-31 14:39:55 UTC
Created mediawiki tracking bugs for this issue

Affects: fedora-all [bug 853446]

Comment 4 Jan Lieskovsky 2012-09-03 08:23:27 UTC
The CVE identifier of CVE-2012-4378 has been assigned to this issue:
http://www.openwall.com/lists/oss-security/2012/08/31/10